
local version=0.6;
local foundOldVersion = g_currentMission.hl~=nil;
if g_currentMission.hl==nil then g_currentMission.hl={};g_currentMission.hl.version=version;end;

if g_currentMission.hl.version<version or not foundOldVersion then  
g_currentMission.hl={};g_currentMission.hl.version=version;
if g_currentMission.hl.isAvailable==nil then g_currentMission.hl.isAvailable=function(table,rootNode)if table==nil or type(table)~="table" then return false,nil;end;for _, value in pairs(table) do if not rootNode or nil then return true,nil;end;return true,value.rootNode or nil;end;return false,nil;end;end;	
if g_currentMission.hl.getProzentColor==nil then g_currentMission.hl.getProzentColor=function(prozent,invert)local color=1;if prozent==nil then return color;end;if (tonumber(prozent)<=100 and invert) then color=2;end;if (tonumber(prozent)>=25 and not invert) or (tonumber(prozent)<=75 and invert) then color=3;end;if (tonumber(prozent)>=50 and not invert) or (tonumber(prozent)<=50 and invert) then color=4;end;if (tonumber(prozent)>=75 and not invert) or (tonumber(prozent)<=25 and invert) then color=5;end;if (tonumber(prozent)>=95 and not invert) or (tonumber(prozent)<=5 and invert) then color=6;end;if (tonumber(prozent)>=100 and not invert) or (tonumber(prozent)<=0 and invert) then color=7;end;return color;end;end;
if g_currentMission.hl.stringSplit==nil then g_currentMission.hl.stringSplit=function(txtString,delimiter)local result={};local from=1;if txtString==nil or delimiter==nil then return result;end;local delim_from,delim_to=string.find(txtString,delimiter,from);while delim_from do table.insert(result,string.sub(txtString,from,delim_from-1));from=delim_to+1;delim_from,delim_to=string.find(txtString,delimiter,from);end;table.insert(result,string.sub(txtString,from));return result;end;end;
if g_currentMission.hl.getProzentFillLevel==nil then g_currentMission.hl.getProzentFillLevel=function(fillLevel, capacity, getString)if (getString == nil or getString) and (type(capacity) ~= "number" or type(fillLevel) ~= "number" or capacity <= 0) then return "0";end;if (getString == nil or getString) then return string.format("%1.0f", "".. tonumber(fillLevel)/tonumber(capacity)*100);else return fillLevel/capacity*100;end;return 0;end;end;
if g_currentMission.hl.getIngameMap==nil then g_currentMission.hl.getIngameMap=function()return Utils.getNoNil(g_gameSettings:getValue("ingameMapState"), 0) == 1;end;end;
if g_currentMission.hl.getIngameMapState==nil then g_currentMission.hl.getIngameMapState=function()return Utils.getNoNil(g_gameSettings:getValue("ingameMapState"), 0);end;end;
if g_currentMission.hl.getFullSize==nil then g_currentMission.hl.getFullSize=function(isPaused ,isOpen)if (g_currentMission.paused and isPaused) or (g_gui:getIsGuiVisible() and isOpen) or (g_currentMission.inGameMenu.paused and isPaused) or (g_currentMission.inGameMenu.isOpen and isOpen) or (g_currentMission.physicsPaused and isPaused) or (not g_currentMission.hud.isVisible) or (g_currentMission.noHudApp ~= nil and g_currentMission.noHudApp) then if g_currentMission.missionDynamicInfo.isMultiplayer and g_currentMission.manualPaused and isPaused and g_gameStateManager.gameState ~= 5 then return true;end;return true;end;return false;end;end;
if g_currentMission.hl.setBackgroundColor==nil then g_currentMission.hl.setBackgroundColor=function(overlay, color)if overlay and overlay.overlayId ~= nil and type(color) == "table" then	setOverlayColor(overlay.overlayId, unpack(color));end;end;end;
if g_currentMission.hl.setOverlay==nil then g_currentMission.hl.setOverlay=function(overlay, posX, posY, width, height)if overlay ~= nil and overlay.overlayId ~= nil then	if width ~= nil then overlay.width = width;end;if height ~= nil then overlay.height = height;end;if posX ~= nil then overlay.x = posX;end;if posY ~= nil then overlay.y = posY;end;overlay.scaleHeight = 0;overlay.scaleWidth = 0;end;end;end;
if g_currentMission.hl.deleteOverlays==nil then g_currentMission.hl.deleteOverlays=function(overlaysTable)if overlaysTable ~= nil then for _index,v in pairs (overlaysTable) do	local overlay = overlaysTable.overlays[_index];if overlay ~= nil and overlay.overlayId ~= nil then overlay:delete();overlay = nil;end;end;end;end;end;
if g_currentMission.hl.getSetDefaultBackground==nil then g_currentMission.hl.getSetDefaultBackground=function(overlaysTable, overlayName)if overlaysTable~=nil and overlayName~=nil then overlaysTable[overlayName] = Overlay:new("dataS2/menu/hud/hud_elements_2160p.png", 0, 0, 0, 0);setOverlayUVs(overlaysTable[overlayName].overlayId, 0.0078125,0.990234375, 0.0078125,0.9921875, 0.009765625,0.990234375, 0.009765625,0.9921875);end;end;end;

--update 0.6
g_currentMission.hl.colorIntern = {	
	own =       		{ 255/255, 255/255, 255/255, 1.00 };
	ownDisabled =   	{ 255/255, 255/255, 255/255, 0.80 };
	ownSilo =       	{ 	0/255,   0/255,   0/255, 1.00 };
	ownPrice =      	{ 255/255, 255/255, 255/255, 1.00 };
	ownBestPrice =  	{ 	0/255, 255/255,   0/255, 0.80 };
	ownDemand =     	{   4/255,  98/255, 180/255, 1.00 }; 	
	randomValues =  	{ 255/255, 255/255, 255/255, 1.00 };
	randomValuesOff =	{ 255/255, 255/255, 255/255, 0.80 };
	transparent =   	{  33/255,  48/255,  24/255, 0.50 };	
	darkYellow =   		{ 255/255, 161/255,  17/255, 1.00 };
	darkYellowOff =  	{ 255/255, 161/255,  17/255, 0.80 };
	white =         	{ 255/255, 255/255, 255/255, 1.00 };	
	whiteInactive = 	{ 255/255, 255/255, 255/255, 0.75 };
	whiteDisabled = 	{ 255/255, 255/255, 255/255, 0.15 };
	hover =         	{   4/255,  98/255, 180/255, 1.00 };
	hoverBestPrice =	{   4/255,  98/255, 180/255, 0.70 };
	darkBlue =	 		{ 	0/255,   0/255, 139/255, 1.00 };
	blue =	 			{ 	0/255,   0/255, 255/255, 1.00 };
	activeGreen =   	{  43/255, 205/255,  10/255, 1.00 }; 
	activeRed =    	 	{ 153/255,  22/255,  19/255, 1.00 }; 
	closeRed =      	{ 116/255,   0/255,   0/255, 1.00 }; 
	warningRed =    	{ 222/255,   2/255,   3/255, 1.00 };
	red =      			{ 255/255,   0/255,   0/255, 1.00 };
	redDisabled =   	{ 255/255,   0/255,   0/255, 0.80 };
	darkRed = 			{ 205/255,   0/255,   0/255, 1.00 };
	shadow =        	{   4/255,   4/255,   4/255, 1.00 }; 
	textDark =      	{   1/255,   1/255,   1/255, 1.00 };
	yellow =        	{ 255/255, 255/255,   0/255, 1.00 };
	yellowDisabled =	{ 255/255, 255/255,   0/255, 0.80 };
	yellowGreen =		{ 154/255, 205/255,  50/255, 1.00 };
	yellow1 =			{ 238/255, 221/255, 130/255, 1.00 };
	gold =				{ 255/255, 215/255,   0/255, 1.00 };
	green =        		{ 	0/255, 255/255,   0/255, 1.00 };
	darkOliveGreen =    {  85/255, 107/255,  47/255, 1.00 };
	greenDisabled = 	{ 	0/255, 255/255,   0/255, 0.80 };
	darkGreen = 		{ 	0/255, 100/255,   0/255, 1.00 };
	lightGreen =   		{ 144/255, 238/255, 144/255, 1.00 };
	chartreuse4 =		{  69/255,  139/255,  0/255, 1.00 };
	happylooser =   	{ 143/255, 188/255, 143/255, 1.00 };---
	happylooserOff= 	{ 143/255, 188/255, 143/255, 0.80 };---
	gray = 				{ 190/255, 190/255, 190/255, 1.00 };
	darkGray = 			{  87/255,  87/255,  87/255, 1.00 };
	black =        		{ 	0/255,   0/255,   0/255, 1.00 };
	blackInactive = 	{ 	0/255,   0/255,   0/255, 0.75 };
	orange =        	{ 255/255, 165/255,   0/255, 1.00 };
	orangeRed =        	{ 255/255,  55/255,   0/255, 1.00 };
	khaki =         	{ 240/255, 230/255, 140/255, 1.00 };
	ls15 =          	{   0/255, 255/255, 255/255, 1.00 };
	ls15Disabled =  	{   0/255, 255/255, 255/255, 0.80 };
	mangenta =  		{ 255/255, 	 0/255, 255/255, 1.00 };
	deepPink =  		{ 255/255, 020/255, 147/255, 1.00 };
	purple =  			{ 160/255, 032/255, 240/255, 1.00 };
};
g_currentMission.hl.colorDefault = {		
	darkYellow =   		{ 255/255, 161/255,  17/255, 1.00 };
	darkYellowOff =  	{ 255/255, 161/255,  17/255, 0.80 };
	white =         	{ 255/255, 255/255, 255/255, 1.00 };	
	whiteInactive = 	{ 255/255, 255/255, 255/255, 0.75 };
	whiteDisabled = 	{ 255/255, 255/255, 255/255, 0.15 };
	hover =         	{   4/255,  98/255, 180/255, 1.00 };
	hoverBestPrice =	{   4/255,  98/255, 180/255, 0.70 };
	darkBlue =	 		{ 	0/255,   0/255, 139/255, 1.00 };
	blue =	 			{ 	0/255,   0/255, 255/255, 1.00 };
	activeGreen =   	{  43/255, 205/255,  10/255, 1.00 }; 
	activeRed =    	 	{ 153/255,  22/255,  19/255, 1.00 }; 
	closeRed =      	{ 116/255,   0/255,   0/255, 1.00 }; 
	warningRed =    	{ 222/255,   2/255,   3/255, 1.00 };
	red =      			{ 255/255,   0/255,   0/255, 1.00 };
	redDisabled =   	{ 255/255,   0/255,   0/255, 0.80 };
	darkRed = 			{ 205/255,   0/255,   0/255, 1.00 };
	shadow =        	{   4/255,   4/255,   4/255, 1.00 }; 
	textDark =      	{   1/255,   1/255,   1/255, 1.00 };
	yellow =        	{ 255/255, 255/255,   0/255, 1.00 };
	yellowDisabled =	{ 255/255, 255/255,   0/255, 0.80 };
	yellowGreen =		{ 154/255, 205/255,  50/255, 1.00 };
	yellow1 =			{ 238/255, 221/255, 130/255, 1.00 };
	gold =				{ 255/255, 215/255,   0/255, 1.00 };
	green =        		{ 	0/255, 255/255,   0/255, 1.00 };
	darkOliveGreen =    {  85/255, 107/255,  47/255, 1.00 };
	greenDisabled = 	{ 	0/255, 255/255,   0/255, 0.80 };
	darkGreen = 		{ 	0/255, 100/255,   0/255, 1.00 };
	lightGreen =   		{ 144/255, 238/255, 144/255, 1.00 };
	chartreuse4 =		{  69/255,  139/255,  0/255, 1.00 };
	happylooser =   	{ 143/255, 188/255, 143/255, 1.00 };---
	happylooserOff= 	{ 143/255, 188/255, 143/255, 0.80 };---
	gray = 				{ 190/255, 190/255, 190/255, 1.00 };
	darkGray = 			{  87/255,  87/255,  87/255, 1.00 };
	black =        		{ 	0/255,   0/255,   0/255, 1.00 };
	blackInactive = 	{ 	0/255,   0/255,   0/255, 0.75 };
	orange =        	{ 255/255, 165/255,   0/255, 1.00 };
	orangeRed =        	{ 255/255,  55/255,   0/255, 1.00 };
	khaki =         	{ 240/255, 230/255, 140/255, 1.00 };
	ls15 =          	{   0/255, 255/255, 255/255, 1.00 };
	ls15Disabled =  	{   0/255, 255/255, 255/255, 0.80 };
	mangenta =  		{ 255/255, 	 0/255, 255/255, 1.00 }; 
	deepPink =  		{ 255/255, 020/255, 147/255, 1.00 };
	purple =  			{ 160/255, 032/255, 240/255, 1.00 };
};
g_currentMission.hl.colorProzent = {[1]="white", [2]="green", [3]="yellowGreen", [4]="yellow", [5]="orange", [6]="orangeRed", [7]="red"}; --1 default return hl_ 
g_currentMission.hl.colorExtern = {};
if g_currentMission.hl.getColorProzent==nil then g_currentMission.hl.getColorProzent=function(prozentColor)return g_currentMission.hl.colorProzent[prozentColor];end;end;
if g_currentMission.hl.getColorProzentTable==nil then g_currentMission.hl.getColorProzentTable=function(prozentColor, intern)return g_currentMission.hl.getColor(g_currentMission.hl.colorProzent[prozentColor], intern or false);end;end;
if g_currentMission.hl.getColor==nil then g_currentMission.hl.getColor=function(name, intern, otherColor)local defaultColor = { 255/255, 255/255, 255/255, 1.00 };if otherColor ~= nil then defaultColor = otherColor;end;if intern then if g_currentMission.hl.colorIntern[name] ~= nil then return g_currentMission.hl.colorIntern[name];end;if g_currentMission.hl.colorIntern[name] == nil then return defaultColor;end;else if g_currentMission.hl.colorExtern[name] ~= nil then return g_currentMission.hl.colorExtern[name];end;if g_currentMission.hl.colorExtern[name] == nil then return defaultColor;end;end;return defaultColor;end;end;
if g_currentMission.hl.loadColorXml==nil then g_currentMission.hl.loadColorXml=function()local file = getUserProfileAppPath().. "modsSettings/hlColors.xml";if fileExists(file) then local Xml = loadXMLFile("_hlColors_XML", file, "colors");local xmlNameTag = "colors";if Xml ~= nil then local int = 0;	while true do local groupNameTag = (xmlNameTag.. ".color(%d)"):format(int);if getXMLString(Xml, groupNameTag.. "#name") then local colorName = getXMLString(Xml, groupNameTag.."#name");local colorString = getXMLString(Xml, groupNameTag.."#value");local stringSplitTable, isOkay = g_currentMission.hl.stringSplit(colorString, " ");if isOkay and #stringSplitTable > 0 then local newColor = {tonumber(stringSplitTable[1]), tonumber(stringSplitTable[2]), tonumber(stringSplitTable[3]), tonumber(stringSplitTable[4])};g_currentMission.hl.externColor[colorName] = newColor;end;int = int+1;else break;end;end;end;else g_currentMission.hl.saveColorXml();end;end;end;
if g_currentMission.hl.saveColorXml==nil then g_currentMission.hl.saveColorXml=function()local file = getUserProfileAppPath().. "modsSettings/hlColors.xml";local Xml = createXMLFile("_hlColors_XML", file, "colors");local xmlNameTag = "colors";if Xml ~= nil then setXMLString(Xml, xmlNameTag.. "#by", "HappyLooser Mods");setXMLString(Xml, xmlNameTag.. "#link", "https://www.farb-tabelle.de/de/farbtabelle.htm");local int = 0;for name, values in pairs (g_currentMission.hl.colorDefault) do	if name ~= nil and g_currentMission.hl.colorDefault[name] ~= nil then local groupNameTag = (xmlNameTag.. ".color(%d)"):format(int);setXMLString(Xml, groupNameTag.. "#name", name);local colorRed, colorBlue, colorGreen, colorAlpha = unpack(values);setXMLString(Xml, groupNameTag.. "#value", tonumber(colorRed).. " ".. tonumber(colorBlue).. " ".. tonumber(colorGreen).. " ".. tonumber(colorAlpha));int = int+1;end;end;saveXMLFile(Xml);g_currentMission.hl.colorExtern = g_currentMission.hl.colorDefault;end;end;end;
g_currentMission.hl.loadColorXml();

if g_currentMission.hl.getMilliSecondsToHours==nil then g_currentMission.hl.getMilliSecondsToHours=function(sMilliSeconds, getHoursMin, getHoursSec)local nMilliSeconds = tonumber(sMilliSeconds);if nMilliSeconds == 0 then return "0";else local nHours = string.format("%02.f", floor(nMilliSeconds/3600000));local nMins = string.format("%02.f", floor(nMilliSeconds/60000 - (nHours*60)));local nSecs = string.format("%02.f", floor((nMilliSeconds/1000 - nHours*3600 - nMins*60)));if not getHoursMin then return nHours;end;if getHoursMin and getHoursSec == nil then return nHours..":"..nMins;end;if getHoursMin and getHoursSec then return nHours..":"..nMins..":"..nSecs;end;end;return "0";end;end;
if g_currentMission.hl.getRealTime==nil then g_currentMission.hl.getRealTime=function(getHours, getMin, getSec)if getHours and not getMin and not getSec then return tostring(getDate("%H"));end;if getHours and getMin and not getSec then return tostring(getDate("%H:%M"));end;if getHours and getMin and getSec then return tostring(getDate("%H:%M:%S"));end;return "0";end;end;
if g_currentMission.hl.optiHeightSize==nil then g_currentMission.hl.optiHeightSize=function(height, txtString, defaultSize)local txtHeight = getTextHeight(defaultSize, tostring(txtString));local default = defaultSize;if txtHeight > height then local i = 0;while txtHeight > height do	i = i + 0.0005;txtHeight = getTextHeight(defaultSize-i, tostring(txtString));end;return defaultSize-i;end;return default;end;end;
if g_currentMission.hl.optiWidthSize==nil then g_currentMission.hl.optiWidthSize=function(width, txtString, defaultSize)local length = getTextWidth(defaultSize, tostring(txtString));local default = defaultSize;if length > width then local i = 0;while length > width do i = i + 0.0005;length = getTextWidth(defaultSize-i, tostring(txtString));end;return defaultSize-i;end;return default;end;end;
--update 0.6

end;

if g_currentMission.hl.version<version then g_currentMission.hl.version=version;end;

