slotOutputTables = {};

source(MultiOverlayV3.modDir.."slotsOutputTables/fillTypesEnableDisable.lua");
source(MultiOverlayV3.modDir.."slotsOutputTables/fillTypesAmount.lua");
source(MultiOverlayV3.modDir.."slotsOutputTables/fillTypesAmountPrice.lua");
source(MultiOverlayV3.modDir.."slotsOutputTables/sellingStationsSimple.lua");
source(MultiOverlayV3.modDir.."slotsOutputTables/buyingStationsSimple.lua");
source(MultiOverlayV3.modDir.."slotsOutputTables/animals.lua");
source(MultiOverlayV3.modDir.."slotsOutputTables/windturbinen.lua");
source(MultiOverlayV3.modDir.."slotsOutputTables/greenhouses.lua");
source(MultiOverlayV3.modDir.."slotsOutputTables/beehivehouses.lua");
source(MultiOverlayV3.modDir.."slotsOutputTables/solarcollectoren.lua");
source(MultiOverlayV3.modDir.."slotsOutputTables/heatingplants.lua");
source(MultiOverlayV3.modDir.."slotsOutputTables/bgas.lua");
source(MultiOverlayV3.modDir.."slotsOutputTables/missions.lua");
source(MultiOverlayV3.modDir.."slotsOutputTables/bunkersilos.lua");
source(MultiOverlayV3.modDir.."slotsOutputTables/feedmixers.lua");
source(MultiOverlayV3.modDir.."slotsOutputTables/gcfactorys.lua");


--old delete later
function slotOutputTables:loadSlotSetting(whichSLOT)
	local whichSubSLOT = whichSLOT or "masterSLOT_";
	moSetGetOverlays.slot[whichSubSLOT].setting.width = moSetGetOverlays.slot[whichSubSLOT].defaultWidth+(moSetGetOverlays.slot[whichSubSLOT].defaultWidth/2)
	moSetGetOverlays.slot[whichSubSLOT].setting.height = moSetGetOverlays.slot[whichSubSLOT].defaultHeight+(moSetGetOverlays.slot[whichSubSLOT].defaultHeight*6)
	local lineTable = {lineTyp=1}; --up,down,left,right		
	lineTable[#lineTable+1] = {};
	local isLineTable = lineTable[#lineTable];	
	--isLineTable.lineClickIcon = true;
	--isLineTable.lineClickIconCallback = slotOutputTables.cmdSelectOnOff;	 
	isLineTable.lineClickSettingButtons = {nil,nil,true,nil}; --up,down,left,right
	isLineTable.lineClickSettingButtonsColor = {nil,nil,moColors.intern["green"],nil}; --up,down,left,right
	isLineTable.lineClickSettingButtonsCallback = slotOutputTables.lineClickSettingButtons;
	isLineTable.txt = {};
	isLineTable.txt[1] = {};	
	isLineTable.txt[1].bold = true;
	isLineTable.txt[1].txtPos = 1; --lineTyp1 = 1 middle, 2 right, default left --lineTyp2 txt 2 = 1 middle, 2 left, default right
	isLineTable.txt[1].txt = "Reset Click Line Text";	
	----------------------------------------Zoom
	lineTable[#lineTable+1] = {};
	isLineTable = lineTable[#lineTable];	
	isLineTable.lineClickSettingButtons = {nil,nil,true,true}; --up,down,left,right
	isLineTable.lineClickSettingButtonsCallback = slotOutputTables.lineClickSettingButtons;
	isLineTable.txt = {};
	isLineTable.txt[1] = {};	
	isLineTable.txt[1].bold = true;	
	isLineTable.txt[1].txt = "Zoom";
	isLineTable.txt[1].txtPos = 1; --1 middle, 2 right, default left
	isLineTable.txt[1].clickCallback = slotOutputTables.setDefault;	
	----------------------------------------Zoom
	----------------------------------------HorizontalTextDistance
	lineTable[#lineTable+1] = {};
	isLineTable = lineTable[#lineTable];
	isLineTable.lineClickSettingButtons = {nil,nil,true,true}; --up,down,left,right
	isLineTable.lineClickSettingButtonsCallback = slotOutputTables.lineClickSettingButtons;
	isLineTable.txt = {};
	isLineTable.txt[1] = {};	
	isLineTable.txt[1].bold = true;	
	isLineTable.txt[1].txt = "HorizonalTxtDistance";
	isLineTable.txt[1].txtPos = 1; --1 middle, 2 right, default left
	isLineTable.txt[1].clickCallback = slotOutputTables.setDefault;	
	----------------------------------------HorizontalTextDistance
	----------------------------------------VerticalTextDistance
	lineTable[#lineTable+1] = {};
	isLineTable = lineTable[#lineTable];
	isLineTable.lineClickSettingButtons = {nil,nil,true,true}; --up,down,left,right
	isLineTable.lineClickSettingButtonsCallback = slotOutputTables.lineClickSettingButtons;
	isLineTable.txt = {};
	isLineTable.txt[1] = {};	
	isLineTable.txt[1].bold = true;	
	isLineTable.txt[1].txt = "VerticalTextDistance";
	isLineTable.txt[1].txtPos = 1; --1 middle, 2 right, default left
	isLineTable.txt[1].clickCallback = slotOutputTables.setDefault;	
	----------------------------------------VerticalTextDistance
	----------------------------------------TextWidthFix
	lineTable[#lineTable+1] = {};
	isLineTable = lineTable[#lineTable];
	isLineTable.lineClickSettingButtons = {nil,nil,true,true}; --up,down,left,right
	isLineTable.lineClickSettingButtonsCallback = slotOutputTables.lineClickSettingButtons;
	isLineTable.txt = {};
	isLineTable.txt[1] = {};	
	isLineTable.txt[1].bold = true;	
	isLineTable.txt[1].txt = "TextWidthFix";
	isLineTable.txt[1].txtPos = 1; --1 middle, 2 right, default left
	isLineTable.txt[1].clickCallback = slotOutputTables.setDefault;	
	----------------------------------------TextWidthFix
	----------------------------------------TextSize
	lineTable[#lineTable+1] = {};
	isLineTable = lineTable[#lineTable];
	isLineTable.lineClickSettingButtons = {nil,nil,true,true}; --up,down,left,right
	isLineTable.lineClickSettingButtonsCallback = slotOutputTables.lineClickSettingButtons;
	isLineTable.txt = {};
	isLineTable.txt[1] = {};	
	isLineTable.txt[1].bold = true;		
	isLineTable.txt[1].txt = "TextSize";
	isLineTable.txt[1].txtPos = 1; --1 middle, 2 right, default left
	isLineTable.txt[1].clickCallback = slotOutputTables.setDefault;	
	----------------------------------------TextSize	
	moSetGetOverlays.slot[whichSubSLOT].setting.output = lineTable;
end;

--old delte later
function slotOutputTables.lineClickSettingButtons(...)
	if ... ~= nil then		
		local args = ...;
		if args.line ~= nil and args.whatClick ~= nil and args.whereClick ~= nil and moSetGetOverlays.slot[args.whereClick] ~= nil then
			local zoomLevel = 0;
			local slotTable = moSetGetOverlays.slot[args.whereClick];
			local upLeft = string.find(args.whatClick, "_UpLeft");
			local downRight = string.find(args.whatClick, "_DownRight");
			if args.line == 1 then --setting cmdSelect on/off
				if slotTable.setting.cmdSelect then slotTable.setting.cmdSelect = false;else slotTable.setting.cmdSelect = true;end
			elseif args.line == 2 then --zoom
				zoomLevel = 0.1;
				if upLeft then
					if slotTable.zoomOutInTemp+zoomLevel > slotTable.maxZoomOutInTemp then return;end;
					slotTable.zoomOutInTemp = slotTable.zoomOutInTemp+zoomLevel;					
				elseif downRight then
					if slotTable.zoomOutInTemp-zoomLevel < slotTable.minZoomOutInTemp then return;end;
					slotTable.zoomOutInTemp = slotTable.zoomOutInTemp-zoomLevel;					
				end;
				moSetGetOverlays:loadSlotOverlays(self, true, args.whereClick);
				slotTable.save = false;
			elseif args.line == 3 then --horizontalTxtDistance
				zoomLevel = 0.001;
				if upLeft then
					if slotTable.horizontalTxtDistance+zoomLevel > 0.005 then return;end;
					slotTable.horizontalTxtDistance = slotTable.horizontalTxtDistance+zoomLevel;
				elseif downRight then
					if slotTable.horizontalTxtDistance-zoomLevel < 0 then return;end;
					slotTable.horizontalTxtDistance = slotTable.horizontalTxtDistance-zoomLevel;
				end;				
				slotTable.save = false;
			elseif args.line == 4 then --verticalTxtDistance
				zoomLevel = 0.001;
				if upLeft then
					if slotTable.verticalTxtDistance+zoomLevel > 0.005 then return;end;
					slotTable.verticalTxtDistance = slotTable.verticalTxtDistance+zoomLevel;
				elseif downRight then					
					if slotTable.verticalTxtDistance-zoomLevel < 0 then return;end;
					slotTable.verticalTxtDistance = slotTable.verticalTxtDistance-zoomLevel;
				end;
				slotTable.save = false;
			elseif args.line == 5 then --txtWidthFix
				zoomLevel = 1;
				if upLeft then
					if slotTable.txtWidthFix+zoomLevel > 6 then return;end;
					slotTable.txtWidthFix = slotTable.txtWidthFix+zoomLevel;
				elseif downRight then
					if slotTable.txtWidthFix-zoomLevel < 0 then return;end;
					slotTable.txtWidthFix = slotTable.txtWidthFix-zoomLevel;
				end;
				moSetGetMohSLOT:resetRenderViewText(args.whereClick);
				slotTable.save = false;	
			elseif args.line == 6 then --size
				zoomLevel = 0.0005;
				if upLeft then
					if slotTable.size+zoomLevel > 0.015 then return;end;
					slotTable.size = slotTable.size+zoomLevel;
				elseif downRight then
					if slotTable.size-zoomLevel < 0.007 then return;end;
					slotTable.size = slotTable.size-zoomLevel;
				end;
				moSetGetMohSLOT:resetWidthHeightText(args.whereClick);
				slotTable.save = false;	
			end;
		end;
	end;
end;

--old delete later
function slotOutputTables.setDefault(...)
	if ... ~= nil then		
		local args = ...;
		if args.line ~= nil and args.whereClick ~= nil and moSetGetOverlays.slot[args.whereClick] ~= nil then
			local slotTable = moSetGetOverlays.slot[args.whereClick];
			if args.line == 2 then --zoom
				slotTable.zoomOutInTemp = slotTable.defaultZoomOutInTemp;
				moSetGetOverlays:loadSlotOverlays(self, true, args.whereClick);	
				slotTable.save = false;
			elseif args.line == 3 then --horizontalTxtDistance
				slotTable.horizontalTxtDistance = slotTable.defaultHorizontalTxtDistance;
				slotTable.save = false;
			elseif args.line == 4 then --verticalTxtDistance
				slotTable.verticalTxtDistance = slotTable.defaultVerticalTxtDistance;
				slotTable.save = false;
			elseif args.line == 5 then --txtWidthFix
				slotTable.txtWidthFix = slotTable.defaultTxtWidthFix;
				slotTable.save = false;	
			elseif args.line == 6 then --size
				slotTable.size = slotTable.defaultSize;
				slotTable.save = false;	
			end;
		end;
	end;
end;

function slotOutputTables.returnLineClickSortByButtons(...)
	if ... ~= nil then		
		local args = ...;
		if args.line ~= nil and args.whereClick ~= nil and moSetGetOverlays.slot[args.whereClick] ~= nil then
			local slotTable = moSetGetOverlays.slot[args.whereClick];
			if args.line == 2 then
				if slotTable.setting.sortOn then
					slotTable.setting.sortOn = false;
				else 
					slotTable.setting.sortOn = true;
				end
			end;
		end;
	end;
end;

function slotOutputTables.returnLineClickSortByNames(...)
	if ... ~= nil then		
		local args = ...;
		if args.line ~= nil and args.whereClick ~= nil and moSetGetOverlays.slot[args.whereClick] ~= nil then
			local slotTable = moSetGetOverlays.slot[args.whereClick];
			if slotTable.setting.sortOn and args.line > 2 then
				if slotTable.setting.sortNames[args.line-2] ~= nil then
					if args.line-2 == slotTable.setting.sortInt then
						slotTable.setting.sortInt = 1;
						slotTable.setting.sortBy = slotTable.setting.sortNames[1];
					else
						slotTable.setting.sortInt = args.line-2;
						slotTable.setting.sortBy = slotTable.setting.sortNames[args.line-2];						
					end;
				end;
			end;
		end;
	end;
end;	

function slotOutputTables:loadSlotOutputCmd(whichSLOT)
	local whichSubSLOT = whichSLOT or "masterSLOT_";
	local sortBy = moSetGetOverlays.slot[whichSubSLOT].setting.sortBy;
	slotOutputTables.cmd = {};
	slotOutputTables.oldCmd = {};
	for cmdTable=1, #MultiOverlayV3.cmdTable do
		for cmd=1, #MultiOverlayV3.cmdTable[cmdTable].cmd do
			if MultiOverlayV3.cmdTable[cmdTable].cmd[cmd].typ == "output_" then
				if moSetGetOverlays.slot[whichSubSLOT].setting.sortInt == 1 then
					slotOutputTables.cmd[#slotOutputTables.cmd+1] = {displayName=MultiOverlayV3.cmdTable[cmdTable].cmd[cmd].displayName, cmdTable=cmdTable,cmdPos=cmd};
				else
					local sortByNames = moSetGetOverlays.slot[whichSubSLOT].setting.sortNames[moSetGetOverlays.slot[whichSubSLOT].setting.sortInt];
					if MultiOverlayV3.cmdTable[cmdTable].cmd[cmd].sortBy == sortByNames then
						slotOutputTables.cmd[#slotOutputTables.cmd+1] = {displayName=MultiOverlayV3.cmdTable[cmdTable].cmd[cmd].displayName, cmdTable=cmdTable, cmdPos=cmd};
					end;
				end;
			end;
		end;
	end;	
	function comp(w1,w2)			
		if w1.displayName < w2.displayName then
			return true;
		end;			
	end;
	table.sort(slotOutputTables.cmd, comp);
	--old Cmds or other Maps Cmds
	for oldCmd=1, #moSetGetOverlays.slot[whichSubSLOT].cmd do
		if moSetGetOverlays.slot[whichSubSLOT].cmd[oldCmd] ~= nil then
			local oldCmdTable = moSetGetOverlays.slot[whichSubSLOT].cmd[oldCmd];
			local isCmdReady = moSetGetCmd:cmdFromReady(nil, oldCmdTable.name, oldCmdTable.from, oldCmdTable.fromRealName, true, MultiOverlayV3.moduleCmdTable);
			if isCmdReady == nil then
				slotOutputTables.oldCmd[#slotOutputTables.oldCmd+1] = {displayName="OtherMapCmd", oldName=oldCmdTable.name};
			end;
		end;
	end;
	--old Cmds or other Maps Cmds
	
	function isCmdSelect(cmdTable, cmdPos)
		for cmd=1, #moSetGetOverlays.slot[whichSubSLOT].cmd do
			if cmdTable.cmd[cmdPos].name == moSetGetOverlays.slot[whichSubSLOT].cmd[cmd].name and cmdTable.luaName == moSetGetOverlays.slot[whichSubSLOT].cmd[cmd].from and cmdTable.realName == moSetGetOverlays.slot[whichSubSLOT].cmd[cmd].fromRealName then return true;end;
		end;
		return false;
	end;	
	local lineTable = {lineTyp=2};		
	lineTable[#lineTable+1] = {};
	local isLineTable = lineTable[#lineTable];	
	isLineTable.isSelect = true;
	--isLineTable.lineClickSettingButtons = {nil,nil,true,nil}; --up,down,left,right
	--isLineTable.lineClickSettingButtonsColor = {nil,nil,moColors.intern["green"],nil}; --up,down,left,right
	--isLineTable.lineClickSettingButtonsCallback = slotOutputTables.lineClickSettingButtons;
	isLineTable.txt = {};	
	isLineTable.txt[1] = {color=moColors:getColor("khaki", true), txt="Select Output Cmd", bold=true, txtPos=1};
	--txtPos = 1; --lineTyp1 = 1 middle, 2 right, default left --lineTyp2 txt 2 = 1 middle, 2 left, default right
	isLineTable.lineClickHelp = true;
	isLineTable.lineClickHelpCallback = slotOutputTables.returnOutputCmdLineHelpIconClick
	isLineTable.helpTxt = "Is First Type 1 and then Type 2 or... then type 2 cannot be displayed etc. etc.";
	--isLineTable.txt[2] = {width=5, txt=""};
	
	lineTable[#lineTable+1] = {};
	isLineTable = lineTable[#lineTable];
	isLineTable.isSelect = true;
	isLineTable.lineClickSettingButtons = {nil,nil,true,nil}; --up,down,left,right
	isLineTable.lineClickSettingButtonsColor = {nil,nil,moColors.intern["green"],nil}; --up,down,left,right
	isLineTable.lineClickSettingButtonsCallback = slotOutputTables.returnLineClickSortByButtons;
	isLineTable.txt = {};	
	isLineTable.txt[1] = {color=moColors:getColor("khaki", true), txt="SortBy ".. tostring(sortBy), bold=true, txtPos=1};
	
	if not moSetGetOverlays.slot[whichSubSLOT].setting.sortOn then
		local sortLineTable = {};
		for cmd=1, #slotOutputTables.cmd do
			local getOrginalCmd = MultiOverlayV3.cmdTable[slotOutputTables.cmd[cmd].cmdTable].cmd[slotOutputTables.cmd[cmd].cmdPos];
			local isSelect = isCmdSelect(MultiOverlayV3.cmdTable[slotOutputTables.cmd[cmd].cmdTable], slotOutputTables.cmd[cmd].cmdPos);
			sortLineTable[#sortLineTable+1] = {};
			isLineTable = sortLineTable[#sortLineTable];		
			isLineTable.lineClickHelp = true;
			isLineTable.lineClickHelpCallback = slotOutputTables.returnOutputCmdLineHelpIconClick
			isLineTable.helpTxt = getOrginalCmd.infoTxt.. "\n".. getOrginalCmd.helpTxt;
			isLineTable.isSelect = isSelect;
			isLineTable.cmdTable = slotOutputTables.cmd[cmd].cmdTable;
			isLineTable.cmdPos = slotOutputTables.cmd[cmd].cmdPos;
			--isLineTable.multiple = slotOutputTables.cmd[cmd].multiple;
			isLineTable.orginalCmdTable = MultiOverlayV3.cmdTable[slotOutputTables.cmd[cmd].cmdTable];
			isLineTable.orginalCmd = getOrginalCmd;
			isLineTable.txt = {};		
			isLineTable.txt[1] = {};
			isLineTable.txt[1].width = 80;	--width prozent			
			isLineTable.txt[1].txt = slotOutputTables.cmd[cmd].displayName;			
			isLineTable.txt[1].bold = true;		
			if isSelect then isLineTable.txt[1].color = moColors:getColor("green", true);end;
			--isLineTable.txt[2].size = 0.012;		
			isLineTable.txt[1].clickCallback = slotOutputTables.returnSelectCmdLineClick;		
			isLineTable.txt[2] = {};
			isLineTable.txt[2].width = 20;	--width prozent
			isLineTable.txt[2].txt = "Typ ".. tostring(getOrginalCmd.lineTyp);
			if getOrginalCmd.lineTyp == 3 or getOrginalCmd.lineTyp == 4 or getOrginalCmd.lineTyp == 5 then isLineTable.txt[2].txt = "Typ 3_5";end;
			isLineTable.txt[2].bold = true;
		end;
		function comp1(w1,w2)			
			if w1.isSelect and not w2.isSelect then
				return true;
			end;			
		end;
		table.sort(sortLineTable, comp1);
		if #slotOutputTables.oldCmd > 0 then
			for cmd=1, #slotOutputTables.oldCmd do
				sortLineTable[#sortLineTable+1] = {};
				isLineTable = sortLineTable[#sortLineTable];
				isLineTable.lineClickHelp = true;
				isLineTable.lineClickHelpCallback = slotOutputTables.returnOutputCmdLineHelpIconClick
				isLineTable.helpTxt = "Cmd is other Maps (not exists this map)";
				isLineTable.isSelect = true;
				isLineTable.cmdTable = 0;
				isLineTable.cmdPos = 0;
				isLineTable.txt = {};		
				isLineTable.txt[1] = {};
				isLineTable.txt[1].width = 80;	--width prozent			
				isLineTable.txt[1].txt = slotOutputTables.oldCmd[cmd].displayName .. " (".. tostring(slotOutputTables.oldCmd[cmd].oldName).. ")";			
				isLineTable.txt[1].bold = false;
				isLineTable.txt[1].color = moColors:getColor("green", true);
				isLineTable.txt[1].clickCallback = slotOutputTables.returnSelectOldCmdLineClick;
				isLineTable.txt[2] = {};
				isLineTable.txt[2].width = 20;	--width prozent
				isLineTable.txt[2].txt = "Typ Unknown";				
				isLineTable.txt[2].bold = false;
			end;
		end;		
		moSetGetOverlays.slot[whichSubSLOT].setting.output = sortLineTable;
		table.insert(moSetGetOverlays.slot[whichSubSLOT].setting.output, 1, lineTable[1]);
		table.insert(moSetGetOverlays.slot[whichSubSLOT].setting.output, 2, lineTable[2]);		
	elseif moSetGetOverlays.slot[whichSubSLOT].setting.sortOn then		
		for sortInt=1, #moSetGetOverlays.slot[whichSubSLOT].setting.sortNames do
			lineTable[#lineTable+1] = {};
			isLineTable = lineTable[#lineTable];
			isLineTable.isSelect = moSetGetOverlays.slot[whichSubSLOT].setting.sortInt == sortInt;
			isLineTable.txt = {};		
			isLineTable.txt[1] = {};
			isLineTable.txt[1].width = 95;	--width prozent			
			isLineTable.txt[1].txt = moSetGetOverlays.slot[whichSubSLOT].setting.sortNames[sortInt];			
			isLineTable.txt[1].bold = true;		
			isLineTable.txt[1].clickCallback = slotOutputTables.returnLineClickSortByNames;
			if isLineTable.isSelect then isLineTable.txt[1].color = moColors:getColor("green", true);end;
			isLineTable.txt[2] = {};
			isLineTable.txt[2].width = 5;	--width prozent
			isLineTable.txt[2].txt = "";
		end;
		moSetGetOverlays.slot[whichSubSLOT].setting.output = lineTable;
	end;
end;

function slotOutputTables.returnSelectOldCmdLineClick(...)
	if ... ~= nil then		
		local args = ...;		
		if args.line ~= nil and args.line > 2 and args.whereClick ~= nil and moSetGetOverlays.slot[args.whereClick] ~= nil then
			moSetGetOverlays.infoHelpBox.info.lsTimer = 3000;
			moSetGetOverlays.infoHelpBox.info.txt = "Can not OtherMapCmd delete or ....\ndelete cmd over OtherMap";
		end;
	end;	
end;

function slotOutputTables.returnSelectCmdLineClick(...)	
	if ... ~= nil then		
		local args = ...;		
		if args.line ~= nil and args.line > 2 and args.whereClick ~= nil and moSetGetOverlays.slot[args.whereClick] ~= nil then
			local lineTable = moSetGetOverlays.slot[args.whereClick].setting.output[args.line];
			local getOrginalCmdTable = MultiOverlayV3.cmdTable[lineTable.cmdTable];
			local getOrginalCmd = MultiOverlayV3.cmdTable[lineTable.cmdTable].cmd[lineTable.cmdPos];
			local slotTableCmd = moSetGetOverlays.slot[args.whereClick].cmd;
			if #slotTableCmd == 0 then
				slotTableCmd[1] = {name=getOrginalCmd.name, from=getOrginalCmdTable.luaName, fromRealName=getOrginalCmdTable.realName};
				moSetGetOverlays.slot[args.whereClick].save = false;
				return;
			end;
			if lineTable.isSelect then				
				local deleteCmd = {};
				for cmd=1, #slotTableCmd do
					if slotTableCmd[cmd].name == getOrginalCmd.name and slotTableCmd[cmd].from == getOrginalCmdTable.luaName and slotTableCmd[cmd].fromRealName == getOrginalCmdTable.realName then
						table.insert(deleteCmd, cmd);
					end;
				end;
				if #deleteCmd > 0 then
					for _, index in pairs (deleteCmd) do				
						table.remove(slotTableCmd, index);
					end;
				end;
				moSetGetOverlays.slot[args.whereClick].save = false;
				return;
			end;
			if getOrginalCmd.multiple then
				slotTableCmd[#slotTableCmd+1] = {name=getOrginalCmd.name, from=getOrginalCmdTable.luaName, fromRealName=getOrginalCmdTable.realName};
				moSetGetOverlays.slot[args.whereClick].save = false;
			else
				moSetGetOverlays.infoHelpBox.info.lsTimer = 3000;
				moSetGetOverlays.infoHelpBox.info.txt = "Output Cmd is not multiple (set alone)";
			end;
		end;
	end;
end;

function slotOutputTables.returnOutputCmdLineHelpIconClick(...)	
	if ... ~= nil then		
		local args = ...;		
		if args.line ~= nil and args.whereClick ~= nil and moSetGetOverlays.slot[args.whereClick] ~= nil then
			moSetGetOverlays.infoHelpBox.help.lsTimer = -1;
			moSetGetOverlays.infoHelpBox.help.txt = tostring(moSetGetOverlays.slot[args.whereClick].setting.output[args.line].helpTxt);
		end;
	end;
end;